Issue 9193 - Allow loading and viewing multi-page TIFF
Allow loading and viewing multi-page TIFF
Status: ACCEPTED
Product: Draw
Classification: Application
Component: code
OOo 1.0.1
PC All
: P3 Trivial with 16 votes (vote)
: ---
Assigned To: ooo
:
: 22220 (view as issue list)
Depends on:
Blocks: 81913
  Show dependency treegraph
 
Reported: 2002-11-12 20:23 UTC by pbakker
Modified: 2013-09-03 01:33 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
sample multi-page fax in TIFF format (234.77 KB, image/tiff)
2002-11-13 14:53 UTC, pbakker
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description pbakker 2002-11-12 20:23:31 UTC
We occasionally get multi-page TIFF files, effectively faxes emailed in
multi-page TIFF format, which we like to display in OOo.

Unfortunately a multi-page TIFF only generates a "Slide1" tab for the first
page, and there is no sign of the other pages.

If I remember correctly, StarOffice 5.2 correctly generated 6 slide tabs for a
6-page TIFF file. I have tested both OOo 1.0.0 under Windows NT and 1.0.1 under
Linux.

OOo also gives no feedback that the missing pages were not imported. Even a
simple info message (only page 1 of 6 imported) would be helpful because we can
load the image in another application instead.
Comment 1 brant 2002-11-13 02:12:45 UTC
Could you upload a sample multi-page TIFF file please?
Comment 2 wolframgarten 2002-11-13 09:33:20 UTC
Set to new.
Comment 3 wolframgarten 2002-11-13 09:37:30 UTC
Set issue type to enhancement because this is not a bug but a missing
behaviour. 
Comment 4 wolframgarten 2002-11-13 09:37:50 UTC
Reassigned to Falko.
Comment 5 pbakker 2002-11-13 14:53:26 UTC
Created attachment 3581 [details]
sample multi-page fax in TIFF format
Comment 6 falko.tesch 2003-10-15 10:37:14 UTC
Allow TIFF filter to read all in Multipage-TIFF pages. Use tab riders
for displaying the pages (like Page 1, Page 2 etc)

Please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 7 ooo 2003-10-16 16:03:54 UTC
trying to get a solution for OOo2.0
Comment 8 wolframgarten 2004-04-26 15:26:53 UTC
Set to new target "Office later".
Comment 9 marc.neumann 2005-12-08 15:00:26 UTC
Hi,

in OOo 2.0 nothing is displayed when open the attached file.

bye Marc
Comment 10 Rainer Bielefeld 2006-04-15 15:16:20 UTC
*** Issue 22220 has been marked as a duplicate of this issue. ***
Comment 11 jkohut 2006-09-25 15:01:42 UTC
I think resolving this issue would be very helpful. Many people in both home 
and business environments are moving towared using PDFs to retain and 
communicate information. Having the ability to image paper based documentation 
and then convert to PDF without the need for external, 3rd party, software 
would be VERY useful.
Comment 12 jrtapper 2007-11-13 17:04:06 UTC
FYI, according to the help file in OO.org version 2.3 this should work 

From the page titled "About Import and Export Filters"
 
"Multipage-TIFFs are allowed when graphics are imported or exported in TIFF
format. The graphics are retrieved as a set of individual pictures in a single
file, for example, the individual pages of a fax."

In my tests of this issue in 2.3 on Win XP, it still does not work.
Comment 13 lykwydchykyn 2008-03-27 17:48:30 UTC
Confirmed that this does not work in 2.4.0.  Also, 2.4.0 help documentation
still says it can be done.

Using 2.4.0 on Windows XP.  
Comment 14 ramboid 2008-03-27 18:11:54 UTC
The resolution of this issue would also help with the resolution of issue 80140 
for the Word Processor.
Issue 80140 describes a similar problem with multi-page scanners: Scanning 
multiple pages from a scanner that has a multi-page feeder, imports just one 
page into Writer while MS Word imports all the pages scanned.  Typically, multi-
page scanners can scan into a multi-page tiff file so it would help if a 
multipage tiff file could be properly imported into the OpenOffice applications 
(Write, Calc, Impress, etc)
Comment 15 rhmuller 2009-12-04 08:19:06 UTC
This issue is preventing us from implementing OO as the standard productivity
suite. Any idea when this will be resolved.
Comment 16 ooo 2009-12-04 11:26:57 UTC
The most simple solution would be to reenable the old behaviour with creating a
sequence of slides/pages from the multi page TIFF. A good enhancement would be
to add a sophisticated 'inplace' UI when selecting a Multipage TIFF with some
tabs to select the appropriate TIFF page within one single Draw page. For OOo
3.3 the simple approach with multiple slides should be sufficient to make this
feature at least available for the user.

Setting target to OOo 3.3
Comment 17 ooo 2010-07-29 09:29:08 UTC
setting target to 3.4
Comment 18 clippka 2011-02-08 15:55:26 UTC
setting target to 3.x
Comment 19 christoph.fischer 2011-07-08 10:10:47 UTC
any target set for multi-page TIFF and scanning ?

would be a very useful feature ...